Equipment.aggregate on GeneratingUnit

only to avoid redundant data at SynchronousMachine.

IOP agree to open WG13 discussion on this issue. What may need to be changed is to have change in UML that will forbid having
multiple SynchronousMachines associated with one GeneratingUnit.

Proposed Solution
Move the aggregate attribute to ConductingEquipment.

Decision

It was decided not to move aggregated to ConductingEquipment.
Related issue 13_98.

Svein will start on a white paper, Jay and Lars-Ola will contribute.
2013-06-05/LOO

Oslo, 14-Jun-2023:
No change in CIM18. Constraints on profile level will need to restrict the usage of the attribute.

11-Oct-2023:
We don't see the need add the constraint which overrides the Oslo decision above. We have decided to close the ticket and leave as
is.

History

#1 - 02/07/2023 01:39 PM - Chavdar lvanov

- Subject changed from Equipment.aggregate on GeneratingUnit
only to avoid redunda to Equipment.aggregate on GeneratingUnitonly to avoid redunda

- Status changed from Open to Review

- Decision updated

WG13 to discuss and agree what we do here. We need to consider potential impact on teh usage of aggregate.

#2 - 06/14/2023 09:14 AM - Chavdar lvanov

- Decision updated
#3 - 10/10/2023 06:52 AM - Todd Viegut

- Subject changed from Equipment.aggregate on GeneratingUnitonly to avoid redunda to Equipment.aggregate on GeneratingUnit only to avoid
redundancy

#4 - 10/10/2023 06:54 AM - Todd Viegut

- Decision updated

#5 - 10/10/2023 06:57 AM - Todd Viegut

We have defined that a constraint needs to be written but the decision isn't specifying where. Should it be constrained to the GeneratingUnit (via
inheritance from Equipment) or vice versa on SynchronousMachine and then have the constraint prohibit it on the GeneratingUnit. This needs to be
clarified in the Decision notes.

#6 - 10/11/2023 10:36 AM - Todd Viegut

- Decision updated

#7 - 10/11/2023 10:37 AM - Todd Viegut

- Status changed from Review to Closed
